Summary: Quick DataBase Manager
Name: qdbm

%global momorel 1
Version: 1.8.21
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://qdbm.sourceforge.net/

%NoSource 0 http://qdbm.sourceforge.net/%{name}-%{version}.tar.gz 78bed8f003648d333d841c207a760814

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibc-devel, gcc-c++ >= 3.4.1-1m

%description
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%package devel
Summary: Quick DataBase Manager
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibc-devel

%description devel
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%package c++-devel
Summary: Quick DataBase Manager
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: libstdc++-devel

%description c++-devel
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%prep
%setup -q

%build
%configure --enable-devel --enable-pthread --enable-zlib --enable-iconv
%make
(
  cd plus
  %configure --enable-devel
  %make all
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__make install DESTDIR=%{buildroot}
(
  cd plus
  %__make install DESTDIR=%{buildroot}
)

# remove needless files
rm -rf %{buildroot}%{_datadir}/qdbm

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README THANKS spex*.html
%{_bindir}/cb*
%{_bindir}/cr*
%{_bindir}/dp*
%{_bindir}/hv*
%{_bindir}/od*
%{_bindir}/rl*
%{_bindir}/vl*
%{_bindir}/x*
%{_libdir}/libqdbm.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/cabin.h
%{_includedir}/curia.h
%{_includedir}/depot.h
%{_includedir}/hovel.h
%{_includedir}/odeum.h
%{_includedir}/relic.h
%{_includedir}/villa.h
%{_includedir}/vista.h
%{_libdir}/libqdbm.a
%{_libdir}/libqdbm.so
%{_mandir}/man3/*

%files c++-devel
%defattr(-, root, root)
%doc plus/xspex*.html plus/xapidoc
%{_includedir}/xqdbm.h
%{_includedir}/xadbm.h
%{_includedir}/xdepot.h
%{_includedir}/xcuria.h
%{_includedir}/xvilla.h
%{_libdir}/libxqdbm.a

%changelog
* Tue Feb  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.21-1m)
- minor feature enhancements

* Thu Jan  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.20-1m)
- minor feature enhancements

* Sun Nov 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.18-1m)
- minor feature enhancements

* Thu Sep 30 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.8.17-2m)
- rebuild against gcc-c++-3.4.1

* Thu Sep 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.17-1m)
- the utility API was enhanced

* Fri Aug 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.16-1m)
- minor bugfixes

* Thu Aug 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.15-1m)
- minor feature enhancements

* Mon Aug  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.14-2m)
- separate ruby-qdbm package

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.14-1m)
- rebuild against ruby-1.8.2

* Sun May 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.12-1m)
- minor feature enhancements

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.11-1m)
- minor feature enhancements

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.10-1m)
- utility for performance test was enhanced
- logger for debugging is now featured

* Thu Apr 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.8-1m)
- add '--enable-pthread --enable-zlib --enable-iconv' to configure option
- processing speed was improved to over 150%
- the basic API and the extended API were enhanced

* Wed Mar 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.7-1m)
- the configuration of C++ api escaped from a bug of pthread
- the extended api was enhanced
- bugs in the utility api about memory management were fixed

* Tue Mar 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.5-1m)
- minor feature enhancements

* Fri Mar 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.4-1m)
- minor feature enhancements

* Sun Feb 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.0-1m)
- minor feature enhancements

* Wed Feb 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.34-1m)

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.33-1m)
- minor feature enhancements

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.32-2m)
- specfile cleanup

* Wed Jan 28 2004 Kenta MURATA <muraken2@nifty.com>
- (1.7.32-1m)
- version up.
- append ruby package.

* Sat Sep 20 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.17-1m)
- version up.
- remove doxygen from BuildRequires.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.11-1m)
- first specfile.
